Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl
Class DatagramProcessorImpl

    java.lang.Object
      org.teleal.cling.transport.impl.DatagramProcessorImpl

All Implemented Interfaces:
  DatagramProcessor

    public class DatagramProcessorImpl

extends Object
implements DatagramProcessor

Constructor Summary
`DatagramProcessorImpl()`

Method Summary
`protected int` | `findEndOfString(String sb)`
`protected int` | `findNonWhitespace(String sb, int offset)`
`IncomingDatagramMessage` | `read(InetAddress receivedOnAddress, DatagramPacket datagram)`
`protected HttpHeaders` | `readHeaders(ByteArrayInputStream is)`
`protected String` | `readLine(ByteArrayInputStream is)`
`protected IncomingDatagramMessage` | `readRequestMessage(InetAddress receivedOnAddress, DatagramPacket datagram, ByteArrayInputStream is, String requestMethod, String httpProtocol)`
`protected IncomingDatagramMessage` | `readResponseMessage(InetAddress receivedOnAddress, DatagramPacket datagram, ByteArrayInputStream is, int statusCode, String statusMessage, String httpProtocol)`
`protected String[]` | `splitHeader(String sb)`
`DatagramPacket` | `write(OutgoingDatagramMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatagramProcessorImpl

    public DatagramProcessorImpl()

Method Detail

### read

    public IncomingDatagramMessage read(InetAddress receivedOnAddress,
                                        DatagramPacket datagram)
                                 throws UnsupportedDataException

  Specified by:
    `read` in interface `DatagramProcessor`
  Throws:
    `UnsupportedDataException`

### write

    public DatagramPacket write(OutgoingDatagramMessage message)
                         throws UnsupportedDataException

  Specified by:
    `write` in interface `DatagramProcessor`
  Throws:
    `UnsupportedDataException`

### readRequestMessage

    protected IncomingDatagramMessage readRequestMessage(InetAddress receivedOnAddress,
                                                         DatagramPacket datagram,
                                                         ByteArrayInputStream is,
                                                         String requestMethod,
                                                         String httpProtocol)
                                                  throws Exception

  Throws:
    `Exception`

### readResponseMessage

    protected IncomingDatagramMessage readResponseMessage(InetAddress receivedOnAddress,
                                                          DatagramPacket datagram,
                                                          ByteArrayInputStream is,
                                                          int statusCode,
                                                          String statusMessage,
                                                          String httpProtocol)
                                                   throws Exception

  Throws:
    `Exception`

### readHeaders

    protected HttpHeaders readHeaders(ByteArrayInputStream is)

### readLine

    protected String readLine(ByteArrayInputStream is)

### splitHeader

    protected String[] splitHeader(String sb)

### findNonWhitespace

    protected int findNonWhitespace(String sb,
                                    int offset)

### findEndOfString

    protected int findEndOfString(String sb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.